List All Category Media

This endpoint returns all available media (e.g. images) associated with the specified
category.

Category media images are images that are shared across an entire category. For many products, this endpoint will return an image of the card back.

{
    "success": boolean,
    "errors": [],
    "results": [
        {
            "mediaType": "string",
            "contentList": [
                {
                    "url": "string",
                    "displayOrder": integer
                }
            ]
        }
    ]
}
/catalog/categories/1/media

{
    "success": true,
    "errors": [],
    "results": [
        {
            "mediaType": "cardbacks",
            "contentList": [
                {
                    "url": "https://392071c7441709c62fed-a976cfcaa1c82c11c8d83ded918c65ef.ssl.cf1.rackcdn.com/1_200w.jpg",
                    "displayOrder": 1
                },
                {
                    "url": "https://392071c7441709c62fed-a976cfcaa1c82c11c8d83ded918c65ef.ssl.cf1.rackcdn.com/1_1_200w.jpg",
                    "displayOrder": 2
                }
            ]
        }
    ]
}
/catalog/categories/3/media

{
    "success": true,
    "errors": [],
    "results": [
        {
            "mediaType": "cardbacks",
            "contentList": [
                {
                    "url": "https://392071c7441709c62fed-a976cfcaa1c82c11c8d83ded918c65ef.ssl.cf1.rackcdn.com/3_200w.jpg",
                    "displayOrder": 1
                }
            ]
        }
    ]
}
Path Params
int32
required

The Id of the Category whose media should be returned.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

CategoryId is less than or equal to 0.

404

Category not found or no media found.

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json